using System;

namespace namestanje_glasanje
{
    class Program
    {
        static int BrojGlasova (int[] niz, int medijana)
        {
            Array.Sort(niz);
            
            int x;
            if (niz.Length / 2 == 0) x = niz[niz.Length / 2 + 1];
            else x = niz[niz.Length / 2];
            
            int brojManjih = 0;
            int brojVecihJednako = 0;

            if (x == medijana) return 0;
            else
            {
                for(int i = 0;i < niz.Length; i++)
                {
                    if (medijana > niz[i]) brojManjih++;
                    else brojVecihJednako++;
                }
                return brojManjih - brojVecihJednako;
            }
        }

        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');

            int n = int.Parse(s[0]);
            int q = int.Parse(s[1]);

            int[] niz = new int[n];
            s = Console.ReadLine().Split(' ');
            for (int i = 0; i < niz.Length; i++)
            {
                niz[i] = int.Parse(s[i]);
            }

            int[] medijane = new int[q];
            s = Console.ReadLine().Split(' ');
            for (int i = 0; i < medijane.Length; i++)
            {
                medijane[i] = int.Parse(s[i]);
            }

            for (int i = 0; i < medijane.Length; i++)
            {
                Console.WriteLine(BrojGlasova(niz, medijane[i]));
            }
        }
    }
}